View Issue Details

IDProjectCategoryView StatusLast Update
0006706VALENTINA SERVEROtherpublic2019-01-06 13:10
ReporterBeatrix WilliusAssigned ToIvan Smahin 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
PlatformINTELOSMac OS OS Version10.9
Product Version5.5 
Target Version8.7.xFixed in Version9.0.x 
Summary0006706: Only user himself should be able to change password
DescriptionOnly the user himself should be able to change his own password. At the moment this can only be done in Valentina Studio. This is not good according to security rules where only the user himself should be able to know his password.
TagsNo tags attached.

Relationships

related to 0008449 resolvedRuslan Zasukhin VCOMPONENT-VKERNEL [NEW] CHANGE USER PASSWORD sql statement 

Activities

Ruslan Zasukhin

Ruslan Zasukhin

2017-05-02 10:56

administrator   ~0009617

Is this about Valentina Studio?
Is this related somehow to VSERVER?
Then it should not be in V4RB I think.

Is this still actual ?
Beatrix Willius

Beatrix Willius

2017-05-02 11:10

reporter   ~0009621

This is for Xojo or any other ADK. How can the user change his password in Xojo? I only see that the admin has to change the password in ValentinaStudio. I come from an enterprise environtment where the admins aren't allowed to see user passwords - ever.
Ruslan Zasukhin

Ruslan Zasukhin

2017-05-02 14:57

administrator   ~0009625

ok, then we talk about LOCAL DB or about SERVER DB ?
Beatrix Willius

Beatrix Willius

2017-05-04 05:14

reporter   ~0009631

Server
Ivan Smahin

Ivan Smahin

2019-01-06 13:10

manager   ~0010633

There is new SQL statement since v.9.0:

SET PASSWORD OF [USER] user_name IDENTIFIED BY 'old_password' TO 'new_password'

Issue History

Date Modified Username Field Change
2013-12-25 11:17 Beatrix Willius New Issue
2017-05-02 09:29 Ruslan Zasukhin Target Version => 7.1.x
2017-05-02 10:56 Ruslan Zasukhin Note Added: 0009617
2017-05-02 11:10 Beatrix Willius Note Added: 0009621
2017-05-02 11:17 Ruslan Zasukhin Project ADK-Xojo-V4RB => VALENTINA STUDIO
2017-05-02 14:57 Ruslan Zasukhin Note Added: 0009625
2017-05-02 14:58 Ruslan Zasukhin Project VALENTINA STUDIO => ADK-Xojo-V4RB
2017-05-04 05:14 Beatrix Willius Note Added: 0009631
2018-04-16 17:22 Ruslan Zasukhin Assigned To => Ivan Smahin
2018-04-16 17:22 Ruslan Zasukhin Status new => assigned
2018-04-16 17:23 Ruslan Zasukhin Project ADK-Xojo-V4RB => VALENTINA SERVER
2018-12-14 10:31 Ivan Smahin Relationship added related to 0008449
2019-01-06 13:10 Ivan Smahin Note Added: 0010633
2019-01-06 13:10 Ivan Smahin Status assigned => resolved
2019-01-06 13:10 Ivan Smahin Fixed in Version => 9.0.x
2019-01-06 13:10 Ivan Smahin Resolution open => fixed